Bug 1512454 - Review Request: qwtplot3d-qt5 - Extended version of the original QwtPlot3D library
Summary: Review Request: qwtplot3d-qt5 - Extended version of the original QwtPlot3D li...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1512225
TreeView+ depends on / blocked
 
Reported: 2017-11-13 09:38 UTC by Antonio
Modified: 2017-11-25 02:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-24 22:02:59 UTC
mgansser: fedora-review+


Attachments (Terms of Use)

Description Antonio 2017-11-13 09:38:22 UTC
Spec URL: https://sagitter.fedorapeople.org/qwtplot3d-qt5/qwtplot3d-qt5.spec
SRPM URL: https://sagitter.fedorapeople.org/qwtplot3d-qt5/qwtplot3d-qt5-0.3.1a-1.20170630gite30f5df.fc26.src.rpm

Description:
QwtPlot3D is not a program, but a feature-rich Qt/OpenGL-based C++
programming library, providing essentially a bunch of 3D-widgets for
programmers.

Fedora Account System Username: sagitter

Comment 1 MartinKG 2017-11-13 13:59:33 UTC
will take the review

Comment 2 MartinKG 2017-11-13 15:03:23 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

- this warnings can be ignored

Issues:
=======
- Header files in -devel subpackage, if present.
  Note: qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/build/examples/axes/tmp/ui_axesmainwindowbase.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/build/examples/enrichments/tmp/ui_enrichmentmainwindowbase.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/build/examples/mesh/tmp/ui_lightingdialogbase.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/build/examples/mesh/tmp/ui_meshmainwindowbase.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/build/examples/plotlets/tmp/ui_configframebase.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/build/examples/plotlets/tmp/ui_mainwindowbase.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/examples/autoswitch/autoswitch.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/examples/axes/src/axes.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/examples/axes/src/axesmainwindow.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/examples/dynamicplot/dynamicplot.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/examples/enrichments/src/enrichmentmainwindow.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/examples/enrichments/src/enrichments.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/examples/freemesh/femreader.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/examples/freemesh/freemesh.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/examples/mesh/src/functions.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/examples/mesh/src/lightingdialog.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/examples/mesh/src/meshmainwindow.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/examples/plotlets/src/configframe.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/examples/plotlets/src/functions.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/examples/plotlets/src/mainwindow.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_appearance.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_autoscaler.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_axis.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_color.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_color_std.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_colorlegend.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_coordsys.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_data.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_drawable.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_enrichment.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_enrichment_std.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_extglwidget.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_function.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_graphplot.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_gridmapping.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_gridplot.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_helper.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_io.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_io_reader.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_label.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_mapping.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_meshplot.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_openglhelper.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_parametricsurface.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_plot3d.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_portability.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_scale.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_surfaceplot.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_types.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_valueptr.h
  qwtplot3d-qt5-debugsource : /usr/src/debug/qwtplot3d-
  qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64/qt5/include/qwt3d_volumeplot.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "zlib/libpng". 406 files have unknown
     license. Detailed output of licensecheck in
     /home/martin/rpmbuild/SPECS/qwtplot3d-qt5/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/qt5
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/.build-id/99
     (ImageMagick-libs, cups-filters, totem, perl-interpreter, libblockdev-
     loop, libreoffice-core, httpd, systemd, nss-mdns, libsolv, clang-libs,
     gstreamer1-plugins-base, ladspa-swh-plugins, bzip2-libs, open-vm-
     tools, ebtables, traceroute, ncurses-libs, GraphicsMagick,
     qxtglobalshortcut, evolution-data-server, PackageKit, kdelibs,
     libvirt-daemon-driver-storage-rbd, plymouth, tesseract, glibc,
     binutils), /usr/lib/.build-id/a0(poppler-utils, kde-platform-plugin,
     kbd, glusterfs, LibRaw, webkitgtk4, libreoffice-core, syslinux,
     java-1.8.0-openjdk-headless, glibc, kf5-kxmlgui, coreutils, ladspa-
     swh-plugins, frei0r-plugins, folks, fwupd, libtimezonemap, open-vm-
     tools, unixODBC, tracker-miners, sane-backends-drivers-scanners,
     gstreamer1-plugins-good, nss-mdns, cifs-utils, shotwell, mod_dnssd,
     guile, ibus-rawcode, device-mapper-multipath-libs, zbar), /usr/lib
     /.build-id/dd(wxGTK3, qt5-qtdeclarative, ImageMagick-libs, gedit,
     userspace-rcu, libxcb, gnome-vfs2, libdca, glibc, libplist,
     libetonyek, subversion, coreutils, frei0r-plugins, procps-ng, open-vm-
     tools, efibootmgr, gperftools-libs, libdb-utils, qt-x11, util-linux,
     yelp, psmisc, device-mapper-multipath-libs), /usr/lib/.build-id(kde-
     platform-plugin, libreport-plugin-kerneloops, cups-client, efivar-
     libs, netcdf, policycoreutils-python-utils, qemu-block-gluster, rpm-
     plugin-selinux, abrt, libmediaart, libimagequant, giflib, libreoffice-
     graphicfilter, trousers, libdb-utils, tracker-miners, xorg-x11-font-
     utils, PackageKit-command-not-found, OpenEXR-libs, assimp, libcom_err,
     libseccomp, p11-kit, libabw, libvirt-daemon-driver-storage-iscsi,
     libid3tag, libmodman, cfitsio, argyllcms, parted, gnome-disk-utility,
     libdvdread, zstd, bluez-libs, libbs2b, kf5-kjobwidgets, libwebp,
     libxslt, boost-python, netty-tcnative, system-config-printer-udev,
     perl-Encode, elfutils, python2-cryptography, libevdev, libgpg-error,
     lvm2-libs, libglvnd-glx, kf5-sonnet-core, perl-Digest-SHA, perl-
     Params-Classify, uriparser, kf5-solid, libzstd, avahi, lua-lpeg,
     symlinks, libcdr, cdparanoia-libs, e2fsprogs-libs, pulseaudio-libs,
     libdwarf, wxGTK3-webview, lcms2, qemu-guest-agent, ntfs-3g, libxcb,
     freexl, libyubikey, python3-pycurl, python3-brlapi, postgresql-libs,
     xcb-util-keysyms, m4, calf, expat, libgphoto2, tinyxml, xcb-util,
     libwmf-lite, boost-fiber, gpac, python3-coverage, anaconda-widgets,
     http-parser, pulseaudio-utils, perl-Sub-Identify, libeot, compat-
     wxGTK3-gtk2, systemd-bootchart, shotcut, perl-Ref-Util-XS, perl-Time-
     Piece, dbusmenu-qt, ncurses-libs, libidn2, checkpolicy, libreport-
     plugin-logger, gnome-color-manager, fcoe-utils, xorg-x11-xkb-utils,
     ibus-hangul, native-platform, NetworkManager-openvpn, libxkbfile,
     hplip-libs, libwvstreams, kf5-kglobalaccel-libs, xmlrpc-c-client,
     sane-backends-drivers-cameras, python3-hawkey, libwpd, libdc1394,
     libvirt-daemon-driver-qemu, qemu-block-ssh, libwps, gssdp, gnome-
     calendar, kf5-knotifications, libacl, xorg-x11-drv-ati, kf5-solid-
     libs, libSM, policycoreutils, mcelog, abrt-plugin-bodhi,
     libmusicbrainz5, pptp, sane-backends-drivers-scanners, libXxf86misc,
     foomatic, minizip, colord-gtk, qxtglobalshortcut, libpath_utils,
     libicu-devel, rpm-build, libvirt-daemon-driver-storage-sheepdog,
     libglvnd-gles, rpm-plugin-systemd-inhibit, setroubleshoot, gstreamer1,
     gom, gmime30, guayadeque, sshpass, libreoffice-gtk3, libreoffice-gtk2,
     boost-wave, cairo-gobject, gnome-screenshot, gutenprint, openal-soft,
     usermode, java-1.8.0-openjdk-headless, qpdf-libs, linux-atm-libs,
     libedit, openssh, chrpath, subversion-libs, openssl, python3-cairo,
     accountsservice, isl, hfsplus-tools, ImageMagick, gssproxy, mesa-
     libGLU, libblockdev-btrfs, libatomic_ops, gupnp-av, libmpcdec, gtk-
     update-icon-cache, kf5-kxmlgui, python3-iscsi-initiator-utils,
     libvirt-daemon-driver-interface, NetworkManager, libkate, liblangtag,
     NetworkManager-glib, libdatrie, glade-libs, setuptool, libcryptui,
     guile, gl2ps, pcre-utf16, tree, gvfs-goa, pipewire, gnupg, cronie-
     anacron, libserf, xfsprogs, boost-timer, libcroco, qt5-qtsensors,
     telepathy-glib, plymouth-plugin-label, colord-libs, gstreamer1-libav,
     libcddb, efivar, gpgmepp, libgcab1, libzhuyin, gvnc, hypervfcopyd,
     cronie, libexttextcat, kdelibs, hunspell-devel, qt5-qtquickcontrols,
     nettle, libcacard, libverto-libev, colord, libpipeline, pkcs11-helper,
     accountsservice-libs, gnome-system-monitor, findutils, popt,
     qt5-qtx11extras, libsss_idmap, libraw1394, boost-atomic, folks, gnome-
     clocks, python3-dbus, iproute-tc, libipa_hbac, spice-glib,
     python2-numpy, dotconf, libXfont, PackageKit-glib, patch, sqlite-libs,
     lttng-ust, enchant, libXxf86dga, rhash, xdg-user-dirs-gtk, libwayland-
     client, pinentry-gnome3, libsmbios, libXres, mdadm, libchamplain,
     gnome-calculator, device-mapper, python2-librepo, libXtst, xapian-
     core-libs, kf5-kbookmarks, gmic, gnome-terminal, GeoIP,
     GraphicsMagick, libsigc++20, python2-talloc, libXrandr, newt, liba52,
     hplip, kde-style-breeze, mariadb-common, crda, libical, sheepdog,
     qt5-qtdeclarative, vo-amrwbenc, qt5-qtquickcontrols2, libofa,
     libXfont2, libblockdev-loop, libmfx, libssh2, NetworkManager-adsl,
     open-vm-tools-desktop, minitube, samba-dc-libs, dbusmenu-qt5,
     libXcursor, iio-sensor-proxy, bridge-utils, webkitgtk4-plugin-process-
     gtk2, procps-ng, plymouth-core-libs, telnet, simple-scan, libXpm,
     phonon-backend-gstreamer, xorg-x11-drv-nouveau, bluez-obexd, zlib,
     libpeas, pam_krb5, gutenprint-cups, grub2-tools-efi, xdg-desktop-
     portal-gtk, libselinux, libassuan, sushi, cups-filters, iw, clutter-
     gtk, userspace-rcu, libblockdev-utils, libgudev, ibus-libpinyin,
     setroubleshoot-server, make, python3-markupsafe, clutter-gst2,
     libsoup, glusterfs-api, fuse, perl-Net-SSLeay, perl-Filter, cups-libs,
     libappstream-glib, libsepol, totem-pl-parser, gzip, samba-client-libs,
     keyutils, isomd5sum, libfdisk, libdmx, openssl-libs, corosynclib,
     opencc, libreport-plugin-reportuploader, gavl, libatasmart, ipset,
     x265-libs, libselinux-python3, kf5-kcoreaddons, unique, keybinder3,
     deltarpm, fuse-libs, gwenhywfar, kf5-attica, xorg-x11-xauth, setools-
     python3, gvfs-smb, gtkspell3, libcue, libXrender, json-glib,
     kf5-kglobalaccel, libX11-xcb, libfontenc, libicu, libgsf, xorg-x11
     -drv-vmware, sssd-common, NetworkManager-openconnect, libgtop2, btrfs-
     progs, tracker, wvdial, vacuum-im, goffice08, openconnect, xerces-c,
     mesa-libglapi, glx-utils, gpac-libs, evolution-data-server,
     PackageKit, aqbanking, perl-MIME-Base64, polkit-qt5-1, boost-
     container, libass, boost-math, SDL_image, libstdc++, xine-lib-devel,
     sox, git, perl-Compress-Raw-Bzip2, jack-audio-connection-kit,
     mpg123-libs, opus, git-core, libxklavier, traceroute, PackageKit-
     gtk3-module, dyninst, libblockdev-crypto, vcdimager, kf5-karchive,
     libreoffice-pdfimport, rp-pppoe, libtheora, attr, mtr, gtksourceview3,
     libcanberra-gtk2, libcanberra-gtk3, boost-program-options, gstreamer1
     -plugins-bad-free-gtk, mtdev, libmspack, systemd-udev, fftw-libs-
     single, libXvMC, jsoncpp, cheese-libs, python2-pillow, kf5-kconfig-
     gui, jasper-libs, librbd1, rubberband, device-mapper-libs,
     xorg-x11-xinit, gnome-initial-setup, pyliblzma, libffi, pcre-utf32,
     python2-hawkey, diffutils, chrony, time, bind99-libs, mpfr,
     kf5-knotifyconfig, iputils, kate4-part, numactl-libs, libvirt-daemon-
     driver-nwfilter, gvfs-fuse, tigervnc-server-minimal, gpgme,
     hypervvssd, xorg-x11-drv-openchrome, libmcpp, konsole5-part,
     libibverbs, gdb-headless, dleyna-core, qemu-block-nfs, libgovirt,
     libqmi-utils, libmbim-utils, psacct, lame-libs, gnome-bluetooth-libs,
     usbredir, iproute, iptables-libs, gnucash, fftw, cryptsetup-libs,
     syslinux-extlinux, bind-libs, pygobject2, boost-type_erasure, mesa-
     libwayland-egl, ghostscript-x11, lua-posix, libinput, qt5
     -qtdeclarative-devel, libreport-cli, libpkgconf, python3-dmidecode,
     abrt-gui-libs, boost-test, qt5-qtconnectivity, libosinfo, gnome-
     search-tool, libabigail, corosync, qt5-qtsvg, libreoffice-calc, sni-
     qt, libqmi, gawk, dmraid-events, pcsc-lite-libs, adwaita-gtk2-theme,
     libbasicobjects, kdelibs-webkit, hdf5, baobab, rdma-core, vte291,
     libgweather, sssd-krb5, mpv-libs, qemu-block-iscsi, libspatialite,
     libgrss, httpd, libsmbclient, file-roller-nautilus, wxsvg, libvdpau,
     compat-openssl10, evince-nautilus, opencore-amr, dbus-python, abrt-
     addon-kerneloops, gnome-maps, libgta, openCOLLADA, xcb-util-
     renderutil, webvfx, libreport-web, sssd-ad, qt5-qttools-libs-
     designercomponents, libpinyin, nmap-ncat, logrotate, rdist, irrXML,
     scl-utils, libdnet, ntfsprogs, abrt-libs, efibootmgr, libgdither,
     boost-signals, ImageMagick-c++, samba-common-libs, python-
     appindicator, libpsl, python3-rpm, zbar, nautilus-sendto, fwupdate-
     libs, jimtcl, libuser, lz4-libs, graphviz, kexec-tools, boost-date-
     time, libglade2, kf5-kwallet, caribou-gtk3-module, pixman, gnome-font-
     viewer, kf5-kparts, wpa_supplicant, xorg-x11-drv-vesa, libbluray,
     brltty, libbabeltrace, vpnc, psmisc, net-snmp-libs, ppp, xorg-x11-drv-
     libinput, libsss_certmap, libblockdev-mpath, cairo, GoldenCheetah,
     libgcc, gdisk, ilmbase, poppler, libstemmer, djvulibre-libs, bison,
     ibus-libzhuyin, fftw-libs-double, libconfig, ModemManager, abrt-gui,
     ibus-m17n, qemu-img, qt5-qtbase-gui, rtkit, orc, polkit, qt-devel,
     libuuid, faad2-libs, libarchive, libfreehand, ibus-gtk3, ibus-gtk2,
     cheese, udisks2, clucene-contribs-lib, paps-libs, tcp_wrappers, xz,
     libXcomposite, vconfig, mtools, pygtk2, vim-minimal, harfbuzz-icu,
     libplist, gstreamer-tools, xdg-user-dirs, libdap, glusterfs-libs,
     spice-server, gdk-pixbuf2, gupnp, authconfig, libevent, redland,
     python2-cccolutils, tcpdump, gnome-characters, control-center, opencv-
     contrib, libblockdev, librdmacm, lua-socket, dconf, xz-libs, dbus-
     glib, cyrus-sasl-plain, bash, libmpc, libdvdnav, libcap, libvirt-
     daemon-driver-storage-zfs, libwbclient, compiler-rt, kf5-kio-widgets-
     libs, libvirt-daemon-driver-storage-gluster, numad, pyexiv2,
     kf5-ki18n, mod_http2, libthai, fakeroot, gnome-session, qt5-qttools-
     libs-designer, mellowplayer, nss-tools, adcli, gdal-libs, libtirpc,
     python2-gpg, libsmartcols, gsound, konsole5, fakeroot-libs, leptonica,
     libwpg, os-prober, ethtool, info, libfprint, systemd-libs, cpio,
     libfdt, jdns, util-linux, krb5-libs, gnome-online-accounts, net-tools,
     enca, libblockdev-part, libpciaccess, clucene-core, libsss_autofs,
     kmod, NetworkManager-ssh-gnome, libxml++, NetworkManager-pptp,
     libetonyek, plymouth, ladspa-swh-plugins, gnome-user-share, sssd-
     client, libgxps, systemd, kf5-kiconthemes, libpagemaker, libreport-
     plugin-bugzilla, kf5-kitemviews, libxkbcommon, device-mapper-
     multipath-libs, yajl, lockdev, cups-filters-libs, poppler-utils,
     lpsolve, gnome-terminal-nautilus, xorg-x11-server-utils, gnupg2,
     cracklib, evince-libs, libdnf, ogdi, abrt-addon-pstoreoops, gnome-
     keyring, libdbusmenu-gtk3, libdbusmenu-gtk2, pulseaudio-libs-glib2,
     netpbm, lxpolkit, qtsoap, nm-connection-editor, python-xpyb,
     python3-pyparted, libudisks2, gstreamer1-plugins-bad-free, clutter,
     zenity, rhythmbox, chkconfig, libquicktime, libgnome-keyring,
     hostname, iscsi-initiator-utils, check, librados2, libvirt-daemon-
     driver-storage-mpath, subunit, pam, python2-cffi, unixODBC, openldap,
     gamin, ipcalc, schroedinger, SDL, speex, libvirt-daemon-driver-
     storage-logical, ibus-wayland, neon, libkworkspace, libsamplerate,
     python2-lxml, NetworkManager-vpnc-gnome, boost-iostreams, geocode-
     glib, abrt-addon-xorg, pakchois, lapack, subversion, zfs-fuse,
     systemtap-runtime, libusbmuxd, perl-Unicode-Normalize, gperftools-
     libs, libimobiledevice, lzop, NetworkManager-wwan, polkit-pkla-compat,
     boost-numpy, epiphany-runtime, libmtp, cyrus-sasl-lib, librevenge,
     nspr, gjs, python3-gobject-base, gnome-settings-daemon, gnupg2-smime,
     dnsmasq, geoclue2-libs, libXfixes, libblkid, libcdio, libsss_sudo,
     rsync, rpm, webkitgtk4-jsc, lua-libs, perl-Params-Util, soundtouch,
     xorg-x11-drv-evdev, libpeas-gtk, libXinerama, libteam, vim-enhanced,
     libcmis, qt5-qttools, elfutils-libs, acl, libogg, libkadm5, libphodav,
     kf5-kinit, gstreamer-plugins-base, wxGTK3-devel, libgee, libXxf86vm,
     mesa-libEGL, clang-libs, systemd-pam, perl-Storable, perl-Digest-MD5,
     wxsqlite3, gvfs-gphoto2, perl-Sort-Key, libvirt-daemon-driver-storage-
     rbd, libreport-plugin-ureport, nss-util, libsemanage, marisa, arpack,
     mozjs52, systemd-container, libcomps, libaec, file, libsidplayfp,
     vamp-plugin-sdk, kf5-kcompletion, libblockdev-fs, libgnomecanvas,
     libnma, gettext, soxr, espeak, libutempter, libmetalink, slang,
     libref_array, caribou, pulseaudio, e2fsprogs, libcdio-paranoia, grub2
     -tools-minimal, cpp, libksba, libwayland-server, virglrenderer, gdbm,
     libchromaprint, osinfo-db-tools, libsndfile, libvisio, bzip2-libs,
     dbus-libs, gmp-c++, qt5-qtxmlpatterns, boost-log, gnutls, librtmp,
     SuperLU, device-mapper-persistent-data, ykpers, libselinux-utils,
     perl-Scalar-List-Utils, dosfstools, rng-tools, gnome-abrt, libspectre,
     keyutils-libs, qt5-qtwebsockets-devel, libproxy, sssd-common-pac,
     libreoffice-math, libtimezonemap, audit-libs-python3, perl-Data-
     Dumper, glusterfs-fuse, game-music-emu, kf5-kpty, gstreamer-ffmpeg,
     anaconda-core, python2-sqlalchemy, qt5-qttools-libs-help, tesseract,
     libnfsidmap, mlocate, file-libs, grub2-tools, avahi-glib, mokutil,
     libblockdev-swap, libnetfilter_conntrack, python3-gobject, libev, qca,
     frei0r-plugins, fprintd-pam, blas, libusbx, NetworkManager-openvpn-
     gnome, qrencode-libs, libICE, libgexiv2, drpm, createrepo_c-libs, kf5
     -kio-core, grilo, perl-Compress-Raw-Zlib, libindicator-gtk3, speexdsp,
     upower, java-1.8.0-openjdk-devel, libreoffice-x11, nautilus, xcb-util-
     wm, diffstat, gtk2-devel, atk, dbxtool, gnome-vfs2, alsa-lib, compat-
     wxGTK3-gtk2-media, libwnck3, x264-libs, python2-gobject, gtkmm24,
     libvirt-daemon-driver-storage-disk, brasero-libs, mpage, mesa-dri-
     drivers, sgpio, python3-abrt, libffado, fribidi, libgnomekbd,
     libblockdev-kbd, ibus-rawcode, pciutils, libreport, libini_config,
     openssh-clients, libX11, celt051, beignet, kyotocabinet-libs,
     python3-pwquality, gvfs-mtp, python3-cryptography, gnome-bluetooth,
     libnl3, libidn, grubby, openjpeg-libs, python3-libreport, libdbusmenu,
     libdbi, libbytesize, qemu-block-rbd, python3-systemd, libnl3-cli,
     ibus-libs, opencv-core, python2-libcomps, audit-libs, bluez, gettext-
     libs, liborcus, kf5-kwidgetsaddons, cups, gvfs-afp, gvfs-afc,
     switcheroo-control, fwupd, raptor2, libcrypt-nss, plymouth-plugin-two-
     step, sbc, qt-x11, libsane-hpaio, libhangul, python3-sqlalchemy, ocl-
     icd, poppler-glib, libgpod, environment-modules, libblockdev-lvm,
     lvm2, harfbuzz, lash-libs, python3-wrapt, dmraid, libva, gvfs-client,
     NetworkManager-libnm, python2-libs, ibus-qt, gnome-boxes, lrzsz,
     libglvnd-egl, libunwind, unbound-libs, dhcp-libs, libtalloc, libtar,
     hypervkvpd, compat-wxGTK3-gtk2-devel, libepoxy, perl-Variable-Magic,
     man-db, gedit, libvirt-daemon-driver-storage-core, libzapojit, mesa-
     libgbm, gnome-desktop3, timedatex, xdg-desktop-portal, sssd-nfs-idmap,
     rasqal, wireless-tools, libdb, passwd, cups-pk-helper, quota, kmod-
     libs, NetworkManager-team, libdv, gutenprint-libs, libreoffice-writer,
     desktop-file-utils, libXdamage, python-libxml2, libmwaw, libusal,
     qt5-designer, opusfile, dleyna-connector-dbus, gtkmm30,
     qt5-qtmultimedia, gobject-introspection, kf5-kconfig-core,
     libpwquality, fontconfig, patchutils, libblockdev-dm, kf5-kservice,
     compat-lua-libs, evince-djvu, rest, grep, libdaemon, ffmpeg, tcl,
     boost-coroutine, flatpak, python3-librepo, pkgconf, vino, json-c,
     kf5-kauth, sed, sssd-ipa, perl-threads-shared, libaio, samba-libs,
     kpartx, libpng, ghostscript-core, sane-backends-libs, python3-pillow,
     qt5-qtwebsockets, ktoblzcheck, cyrus-sasl, hardlink, libcollection,
     libgcrypt, cairomm, perl-Unicode-UTF8, nss-softokn, lasi, geoclue2,
     lsof, binutils, openjfx, libreoffice-impress, gnome-online-miners,
     adwaita-qt4, adwaita-qt5, gnome-shell, xorg-x11-server-Xorg, usbmuxd,
     python3-libcomps, perl-IO, libverto, glibmm24, libXScrnSaver, realmd,
     libmspub, ncurses, libkml, nfs-utils, graphite2, python3-kerberos,
     perl-version, libmad, libde265, libtdb, sssd-krb5-common, mlt,
     volume_key-libs, b43-fwcutter, ffmpeg-libs, alsa-plugins-pulseaudio,
     perl-interpreter, libksysguard-common, bluez-cups, nautilus-search-
     tool, libcurl, sssd-kcm, libsemanage-python3, kf5-kcrash, coreutils,
     python-krbV, libcap-ng, gvfs, dbus-x11, swig, pinentry, libvirt-
     daemon-driver-storage-scsi, librepo, lua-filesystem, nautilus-
     extensions, gwenhywfar-gui-gtk2, qemu-common, gsm, libuv, boost-
     filesystem, libtevent, kf5-sonnet-ui, openblas-threads, libglvnd,
     gnome-documents-libs, boost-system, libpcap, openblas-threads64_,
     wxBase3, snappy, libindicator, clutter-gst3, libdrm, genisoimage,
     pcre2, shotwell, xmlrpc-c, herqq, perl-TermReadKey, qt5-qtwebkit,
     cogl, rygel, libpng-devel, python3-PyYAML, attica, telepathy-logger,
     libssh, qt5-qtimageformats, GConf2, glibc, proj, ttmkfdir, flatpak-
     libs, fipscheck, mactel-boot, bc, gtk-vnc2, gdk-pixbuf2-devel, wget,
     boost-regex, qt5-qtserialport, libgomp, libexif, libvirt-daemon-
     driver-secret, gstreamer1-plugins-bad-freeworld, ladspa, libgusb,
     glib2, qemu-system-x86-core, ImageMagick-libs, libproxy-mozjs,
     pcre2-utf16, libmnl, gettext-devel, libzmf, libmng, nss, pcre,
     libchamplain-gtk, tcp_wrappers-libs, sane-backends, compat-
     wxBase3-gtk2, gstreamer1-plugins-base, speech-dispatcher, pciutils-
     libs, libiptcdata, xorg-x11-utils, libXi, file-roller, openjpeg2,
     flac-libs, libXt, libXv, rpm-libs, libreofficekit, libnfnetlink,
     polkit-qt, libiec61883, gstreamer, boost-context, device-mapper-event,
     highlight, fftw-libs-quad, qt5-qttools-devel, qt5-qtbase, xine-lib,
     libpskc, ibus, jwhois, qemu-block-dmg, curl, yelp-libs, cmake, gnutls-
     dane, libdmapsharing, qt5-qtwebengine, fipscheck-lib, python2-pycurl,
     dos2unix, paps, abrt-tui, pinfo, gtk3-devel, phonon, libdhash, gnome-
     keyring-pam, sssd-proxy, totem, gd, gc, python3-cups, libxshmfence,
     liferea, libreport-plugin-systemd-journal, gstreamer1-plugins-ugly-
     free, atlas, unzip, libXmu, gtk2, gtk3, libv4l, atkmm, npth, abrt-
     addon-coredump-helper, systemtap-client, libyaml, qt5-qt3d, gspell,
     xcb-util-image, m17n-lib, mozjs17, libblockdev-mdraid, glusterfs,
     exiv2-libs, libunistring, dleyna-server, qgnomeplatform, gstreamer1
     -plugins-good, python2-rpm, libasyncns, qemu-block-curl, qt5-qtcharts,
     device-mapper-multipath, c-ares, xmlsec1-openssl, qmplay2,
     python2-cairo, gfbgraph, NetworkManager-pptp-gnome, jansson, bind-
     utils, librsvg2, firefox, apr, libsss_nss_idmap, gupnp-dlna, trousers-
     lib, zip, webrtc-audio-processing, bcache-tools, startup-notification,
     libgeotiff, libstaroffice, harfbuzz-devel, armadillo, bubblewrap,
     gcc-c++, libtasn1, jbigkit-libs, libe-book, alsa-utils, sqlite, tar,
     xmlsec1-gnutls, sudo, speech-dispatcher-espeak, dhcp-client, fprintd,
     pinentry-gtk, mlt-python, gcc, lame, dwz, xorg-x11-drv-qxl, gcr,
     ebtables, avahi-libs, compat-wxGTK3-gtk2-gl, qtwebkit, pigz,
     libappindicator-gtk3, libquvi, gvfs-archive, libqb, libao, perl-libs,
     systemtap-devel, lz4, kbd, jna, libreoffice-core, wayland-devel,
     libwayland-cursor, openvpn, flex, xvidcore, libwacom, lzo, pango,
     libss, krb5-devel, mod_dnssd, dbus, polkit-libs, perl-threads, perl-
     Params-Validate, pangomm, cryptsetup, kf5-kguiaddons, mesa-
     libxatracker, nss-sysinit, LibRaw, uchardet, openni, nss-mdns, geos,
     python3-cffi, kf5-kio-ntlm, kf5-kwallet-libs, fftw-libs-long, at-
     spi2-core, libvirt-daemon-driver-network, glibc-common, re2,
     gstreamer1-plugins-bad-free-extras, kf5-kcodecs, kf5-kwindowsystem,
     xmlsec1-gcrypt, gnome-autoar, qt5-qtlocation, python3-libxml2, libnfs,
     libgfortran, stoken-libs, gnome-contacts, gdm, libiscsi, groff-base,
     libusb, mesa-libGL, perl-Devel-LexAlias, perl-HTML-Parser, abrt-addon-
     ccpp, libldb, libdfu, python2-gobject-base, NetworkManager-vpnc,
     libmodplug, libvirt-daemon-driver-nodedev, libipt, libcanberra, kf5
     -kio-core-libs, PackageKit-gstreamer-plugin, libart_lgpl, wavpack,
     xorg-x11-drv-wacom, libsrtp, perl-Package-Stash-XS, qt5-linguist,
     qt5-qtscript, which, boost-chrono, samba-client, glib-networking, lua-
     expat, libquadmath, libshout, brlapi, createrepo_c,
     python2-markupsafe, libreport-gtk, liboauth, xmlsec1, gnome-todo,
     isns-utils-libs, libwsman1, krb5-workstation, freetype, libglvnd-
     opengl, lksctp-tools, libgltf, usb_modeswitch, tbb, mythes, evolution,
     NetworkManager-wifi, qt, mjpegtools-libs, abrt-retrace-client, teamd,
     libvorbis, NetworkManager-openconnect-gnome, rpcbind, wxGTK3-media,
     pcre-cpp, libodfgen, liblouis, exiv2, iptables, openblas-openmp,
     qt5-qtwebchannel, lua, perl-PadWalker, gnutls-c++, libpeas-loader-
     python3, llvm-libs, gnome-logs, doxygen, pulseaudio-module-bluetooth,
     libvirt-libs, kf5-kconfigwidgets, qt5-qtgraphicaleffects, ksysguard-
     libs, portaudio, passwdqc, libXft, mlt-freeworld, libattr, qt5-qtbase-
     devel, hyphen, zvbi, webkitgtk4, gnome-software, satyr, syslinux, gts,
     sssd-ldap, iptstate, glib2-devel, NetworkManager-ssh, radvd,
     python3-lxml, kf5-kdbusaddons, python3-libs, libappindicator,
     glusterfs-cli, perl-PathTools, ipset-libs, boost-graph, kf5-kio-
     widgets, plymouth-graphics-libs, boost-serialization, mozjs38, gnome-
     menus, glusterfs-client-xlators, libreoffice-pyuno, libxml2, libgepub,
     libreoffice-ure, iscsi-initiator-utils-iscsiuio, cyrus-sasl-gssapi,
     libucil, libnm-gtk, mousetweaks, libvirt-daemon, libsecret, openblas,
     p11-kit-trust, NetworkManager-bluetooth, libdca, augeas-libs,
     libsysfs, audit, gmp, wxGTK3-gl, abrt-dbus, boost-locale, gdk-
     pixbuf2-modules, at-spi2-atk, xen-libs, perl-DateTime, nss-pem, vim-
     common, python2-kerberos, less, cifs-utils, libvpx, evince, rpm-build-
     libs, libnghttp2, ostree-libs, totem-nautilus, libsolv, exempi,
     libxkbcommon-x11, libmms, vcdimager-libs, python3-gpg, libXdmcp,
     libofx, perl-Socket, apr-util, libvisual, python3, python2, xorg-x11
     -server-Xwayland, shared-mime-info, httpd-tools, SDL2, libsigsegv, qt5
     -qt3d-devel, boost-thread, perl-Devel-Caller, libunicap, caribou-
     gtk2-module, grilo-plugins, shadow-utils, boost-random, libcgroup,
     libXaw, libXau, netcf-libs, libgdata, phonon-qt5, pulseaudio-
     module-x11, dmidecode, libmbim, phonon-qt5-backend-gstreamer, perl-
     Devel-CallChecker, libXpm-devel, libjpeg-turbo, spice-gtk3, libmount,
     spice-vdagent, xorg-x11-drv-fbdev, mariadb-libs, libavc1394, lldpad,
     libtiff, sg3_utils-libs, libnotify, ima-evm-utils, java-1.8.0-openjdk,
     libmx, bind-libs-lite, grub2-tools-extra, openssh-server, fluidsynth-
     libs, mutter, qt5-doctools, taglib, libXext, mcpp, ModemManager-glib,
     dracut, ostree, device-mapper-event-libs, kdelibs-ktexteditor,
     initscripts, hunspell, libieee1284, wxGTK3, libndp, poly2tri,
     usbutils, libaesgm, kf5-ktextwidgets, bzip2, automoc, elfutils-libelf,
     nss-softokn-freebl, open-vm-tools, evolution-ews, kf5-kdoctools,
     libavdevice, libtool-ltdl, readline, eog, yelp, xorg-x11-drv-intel,
     abrt-java-connector, passwdqc-lib), /usr/lib/.build-id/90(enca,
     qt5-qtdeclarative, opencv-contrib, kate4-part, libxcb, libwebp, mesa-
     libgbm, systemd, clang-libs, coreutils, pam, glusterfs-libs, iptables,
     libgphoto2, sane-backends-drivers-scanners, GraphicsMagick,
     libseccomp, eog, hdf5, gstreamer1-plugins-bad-free-extras, gvfs-
     archive, libpeas, gstreamer1-plugins-bad-freeworld, hunspell,
     pciutils, libnl3-cli, python3-PyYAML, glibc), /usr/lib/.build-
     id/55(argyllcms, rpcbind, ImageMagick, poppler-utils, graphviz, bluez,
     gnome-software, systemd, grilo-plugins, glibc, fontconfig, coreutils,
     libdap, vacuum-im, iptables, samba-client-libs, GraphicsMagick, qt5
     -qtbase-gui, cups-libs, abrt-addon-ccpp, qt, gstreamer1-plugins-bad-
     free-extras, gnucash, gstreamer, speexdsp, bison, libsemanage,
     libnl3-cli, clang-libs), /usr/lib/.build-id/4c(argyllcms, gnome-disk-
     utility, qt5-qtbase-devel, speech-dispatcher-espeak, ibus, evince,
     libxcb, libquicktime, libreoffice-core, xorg-x11-server-utils, httpd,
     compat-wxGTK3-gtk2, grilo-plugins, glibc, gnome-contacts,
     libxkbcommon-x11, ladspa-swh-plugins, frei0r-plugins, gstreamer1
     -plugins-ugly-free, python2-libs, pam, proj, iptables, libgphoto2,
     mesa-dri-drivers, evolution, evolution-data-server, subversion-libs,
     libicu-devel, qtsoap, hplip-libs, xen-libs, samba-client-libs),
     /usr/lib/.build-id/23(ImageMagick, man-db, harfbuzz, gstreamer-
     plugins-base, libzmf, libinput, rhythmbox, cups, systemd, abrt, clang-
     libs, libibverbs, coreutils, python2-libs, dbus-x11, groff-base,
     libreport-plugin-logger, tracker-miners, python3-libs, qemu-guest-
     agent, GraphicsMagick, brltty, gutenprint, util-linux, audit, apr-
     util, beignet, libxkbcommon, rpm-build, lxpolkit, totem-pl-parser,
     glib2, glibc), /usr/lib/.build-id/69(gspell, gstreamer1-plugins-bad-
     free, ImageMagick-libs, graphviz, libfontenc, libreoffice-core,
     minitube, glibc, iscsi-initiator-utils, python2-libs, python3-pillow,
     open-vm-tools, libdb-utils, sane-backends-drivers-scanners, ncurses-
     libs, libXrandr, java-1.8.0-openjdk, NetworkManager-wwan, libgta,
     evolution-data-server, polkit-qt, kdelibs, mlt, libnl3-cli, elfutils),
     /usr/lib/.build-id/e0(iptables, mutter, systemd, xfsprogs, PackageKit,
     kf5-ki18n, gstreamer1-plugins-bad-free, libevent, ImageMagick-libs,
     evolution, raptor2, gcr, frei0r-plugins, libconfig, ntfsprogs,
     wireless-tools, graphviz, libwps, libreoffice-core, qt5-qtbase),
     /usr/lib/.build-id/61(argyllcms, openssh-clients, rest, ppp,
     qt5-qtsensors, libreoffice-core, httpd, nss-mdns, gvfs-client, perl-
     Encode, glibc, fontconfig, coreutils, vacuum-im, iptables, aqbanking,
     gnome-maps, evolution, java-1.8.0-openjdk-devel, gnucash, libgnomekbd,
     pulseaudio-libs, gsm), /usr/lib/.build-id/28(openssh-clients,
     xfsprogs, gstreamer1-plugins-bad-free, ImageMagick-libs, graphviz,
     userspace-rcu, cups, kmod, systemd, nss-mdns, glibc, libsecret,
     kpartx, python2-libs, pam, iptables, libgphoto2, httpd, tcp_wrappers,
     samba-client-libs, vcdimager, glib2, python3-libreport, gnucash, mlt,
     xen-libs, cups-filters-libs, dbus, binutils)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     qwtplot3d-qt5-debuginfo , qwtplot3d-qt5-debugsource
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: qwtplot3d-qt5-0.3.1a-1.20170630gite30f5df.fc28.x86_64.rpm
          qwtplot3d-qt5-devel-0.3.1a-1.20170630gite30f5df.fc28.x86_64.rpm
          qwtplot3d-qt5-debuginfo-0.3.1a-1.20170630gite30f5df.fc28.x86_64.rpm
          qwtplot3d-qt5-debugsource-0.3.1a-1.20170630gite30f5df.fc28.x86_64.rpm
          qwtplot3d-qt5-0.3.1a-1.20170630gite30f5df.fc28.src.rpm
qwtplot3d-qt5.x86_64: W: incoherent-version-in-changelog 0.3.1a-1 ['0.3.1a-1.20170630gite30f5df.fc28', '0.3.1a-1.20170630gite30f5df']
qwtplot3d-qt5-devel.x86_64: W: only-non-binary-in-usr-lib
qwtplot3d-qt5-devel.x86_64: W: no-documentation
qwtplot3d-qt5-debugsource.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 4 warnings.



Rpmlint (debuginfo)
-------------------
Checking: qwtplot3d-qt5-debuginfo-0.3.1a-1.20170630gite30f5df.fc28.x86_64.rpm
          qwtplot3d-qt5-devel-debuginfo-0.3.1a-1.20170630gite30f5df.fc28.x86_64.rpm
qwtplot3d-qt5-devel-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
2 packages and 0 specfiles checked; 1 errors, 0 warnings.



Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
qwtplot3d-qt5-devel.x86_64: W: invalid-url URL: https://github.com/sintegrial/qwtplot3d <urlopen error [Errno -2] Name or service not known>
qwtplot3d-qt5-devel.x86_64: W: only-non-binary-in-usr-lib
qwtplot3d-qt5-devel.x86_64: W: no-documentation
qwtplot3d-qt5.x86_64: W: incoherent-version-in-changelog 0.3.1a-1 ['0.3.1a-1.20170630gite30f5df.fc28', '0.3.1a-1.20170630gite30f5df']
qwtplot3d-qt5.x86_64: W: invalid-url URL: https://github.com/sintegrial/qwtplot3d <urlopen error [Errno -2] Name or service not known>
qwtplot3d-qt5.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqwtplot3d-qt5.so.0.3.1 /lib64/libpthread.so.0
qwtplot3d-qt5-devel-debuginfo.x86_64: W: invalid-url URL: https://github.com/sintegrial/qwtplot3d <urlopen error [Errno -2] Name or service not known>
qwtplot3d-qt5-devel-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
qwtplot3d-qt5-debuginfo.x86_64: W: invalid-url URL: https://github.com/sintegrial/qwtplot3d <urlopen error [Errno -2] Name or service not known>
qwtplot3d-qt5-debugsource.x86_64: W: invalid-url URL: https://github.com/sintegrial/qwtplot3d <urlopen error [Errno -2] Name or service not known>
qwtplot3d-qt5-debugsource.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 1 errors, 10 warnings.


Requires
--------
qwtplot3d-qt5-devel (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.9)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5OpenGL.so.5()(64bit)
    libQt5OpenGL.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqwtplot3d-qt5.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    qwtplot3d-qt5(x86-64)
    rtld(GNU_HASH)

qwtplot3d-qt5 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.9)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5OpenGL.so.5()(64bit)
    libQt5OpenGL.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    pkgconfig(Qt5Core)
    rtld(GNU_HASH)

qwtplot3d-qt5-debuginfo (rpmlib, GLIBC filtered):

qwtplot3d-qt5-debugsource (rpmlib, GLIBC filtered):


Provides
--------
qwtplot3d-qt5-devel:
    qwtplot3d-qt5-devel
    qwtplot3d-qt5-devel(x86-64)

qwtplot3d-qt5:
    libqwtplot3d-qt5.so.0()(64bit)
    qwtplot3d-qt5
    qwtplot3d-qt5(x86-64)

qwtplot3d-qt5-debuginfo:
    debuginfo(build-id)
    qwtplot3d-qt5-debuginfo
    qwtplot3d-qt5-debuginfo(x86-64)

qwtplot3d-qt5-debugsource:
    qwtplot3d-qt5-debugsource
    qwtplot3d-qt5-debugsource(x86-64)


Source checksums
----------------
https://github.com/sintegrial/qwtplot3d/archive/e30f5df877c783a5ca1737ac219d8dd79d03d2ff.zip#/qwtplot3d-e30f5df877c783a5ca1737ac219d8dd79d03d2ff.zip :
  CHECKSUM(SHA256) this package     : 18fb39e1811cbdef074a3f9a799526880183c95624adad645c2882c4d83214ff
  CHECKSUM(SHA256) upstream package : 18fb39e1811cbdef074a3f9a799526880183c95624adad645c2882c4d83214ff


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -rn ../SRPMS/qwtplot3d-qt5-0.3.1a-1.20170630gite30f5df.fc27.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

no issue found
Package APPROVED

Comment 3 Gwyn Ciesla 2017-11-14 13:15:35 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/qwtplot3d-qt5

Comment 4 Fedora Update System 2017-11-14 17:29:09 UTC
qwtplot3d-qt5-0.3.1a-1.20170630gite30f5df.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-582c656987

Comment 5 Fedora Update System 2017-11-14 17:29:18 UTC
qwtplot3d-qt5-0.3.1a-1.20170630gite30f5df.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e5014bc88

Comment 6 Fedora Update System 2017-11-15 23:52:09 UTC
qwtplot3d-qt5-0.3.1a-1.20170630gite30f5df.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e5014bc88

Comment 7 Fedora Update System 2017-11-16 17:19:14 UTC
qwtplot3d-qt5-0.3.1a-1.20170630gite30f5df.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-582c656987

Comment 8 Fedora Update System 2017-11-24 22:02:59 UTC
qwtplot3d-qt5-0.3.1a-1.20170630gite30f5df.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-11-25 02:37:27 UTC
qwtplot3d-qt5-0.3.1a-1.20170630gite30f5df.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.